<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreatePermissionRoleTable extends Migration
{
  /**
   * Run the migrations.
   *
   * @return void
   */
  public function up()
  {
    Schema::create('permission_role', function (Blueprint $table) {
      $table->increments('id');
      $table->unsignedInteger('role_id');
      $table->unsignedInteger('permission_id');
      $table->timestamps();


      $table->foreign('role_id')->references('id')->on('roles');
      $table->foreign('permission_id')->references('id')->on('permissions');
      $table->unique(['role_id','permission_id']);
    });
  }

  /**
   * Reverse the migrations.
   *
   * @return void
   */
  public function down()
  {
    Schema::dropIfExists('permission_role');
  }
}
