<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use App\User;
use App\Recipe;
use App\RecipeIngredient;
use App\RecipeCategory;

class RecipeSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $first_user = User::orderBy('id')->first();

        $recipe=Recipe::updateOrCreate(['name'=>'Test','user_id'=>$first_user['id'],'author'=>'Jayne','servings'=>1,'serving_size'=>'1 cup','date_entered'=>now(),'date_modified'=>now(),'description'=>'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Varius quam quisque id diam vel.','instructions'=>'<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Sit amet volutpat consequat mauris. Diam phasellus vestibulum lorem sed risus ultricies tristique nulla. Dignissim diam quis enim lobortis scelerisque fermentum dui faucibus. Rutrum quisque non tellus orci ac auctor augue mauris. Id venenatis a condimentum vitae sapien. A iaculis at erat pellentesque adipiscing commodo elit at imperdiet. Sed libero enim sed faucibus turpis. Commodo viverra maecenas accumsan lacus vel facilisis volutpat est velit. Quam elementum pulvinar etiam non quam lacus suspendisse faucibus interdum. Volutpat odio facilisis mauris sit amet massa vitae tortor. Morbi enim nunc faucibus a pellentesque. Hendrerit gravida rutrum quisque non tellus orci ac auctor. Amet est placerat in egestas erat imperdiet. Eget nunc scelerisque viverra mauris in aliquam sem fringilla. Massa enim nec dui nunc mattis enim ut.</p><p>Ultricies tristique nulla aliquet enim tortor at auctor urna. A arcu cursus vitae congue mauris rhoncus aenean vel. Vel facilisis volutpat est velit egestas. Sed viverra ipsum nunc aliquet bibendum enim facilisis gravida. Dolor sit amet consectetur adipiscing elit duis. Non pulvinar neque laoreet suspendisse interdum consectetur libero id. Aenean et tortor at risus viverra adipiscing at. Morbi leo urna molestie at elementum eu facilisis sed odio. Non enim praesent elementum facilisis leo vel fringilla est. Ultrices dui sapien eget mi proin sed libero enim. Fames ac turpis egestas sed tempus urna. Id cursus metus aliquam eleifend.</p>']);
        RecipeIngredient::updateOrCreate(['recipe_id'=>$recipe['id'],'order'=>0,'alternative'=>false,'name'=>'hamburger','quantity'=>1.0,'measurement'=>'lb','special_notes'=>'']);
        RecipeIngredient::updateOrCreate(['recipe_id'=>$recipe['id'],'order'=>0,'alternative'=>true,'name'=>'sausage','quantity'=>1.0,'measurement'=>'lb','special_notes'=>'']);
        RecipeIngredient::updateOrCreate(['recipe_id'=>$recipe['id'],'order'=>0,'alternative'=>false,'name'=>'carrot','quantity'=>1.0,'measurement'=>'lb','special_notes'=>'(optional)']);

        RecipeCategory::updateOrCreate(['recipe_id'=>$recipe['id'],'name'=>'breakfast']);



        $recipe=Recipe::updateOrCreate(['name'=>'Test2','user_id'=>$first_user['id'],'author'=>'Karen','servings'=>1,'serving_size'=>'1 cup','date_entered'=>now(),'date_modified'=>now(),'description'=>'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Varius quam quisque id diam vel.','instructions'=>'<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Sit amet volutpat consequat mauris. Diam phasellus vestibulum lorem sed risus ultricies tristique nulla. Dignissim diam quis enim lobortis scelerisque fermentum dui faucibus. Rutrum quisque non tellus orci ac auctor augue mauris. Id venenatis a condimentum vitae sapien. A iaculis at erat pellentesque adipiscing commodo elit at imperdiet. Sed libero enim sed faucibus turpis. Commodo viverra maecenas accumsan lacus vel facilisis volutpat est velit. Quam elementum pulvinar etiam non quam lacus suspendisse faucibus interdum. Volutpat odio facilisis mauris sit amet massa vitae tortor. Morbi enim nunc faucibus a pellentesque. Hendrerit gravida rutrum quisque non tellus orci ac auctor. Amet est placerat in egestas erat imperdiet. Eget nunc scelerisque viverra mauris in aliquam sem fringilla. Massa enim nec dui nunc mattis enim ut.</p><p>Ultricies tristique nulla aliquet enim tortor at auctor urna. A arcu cursus vitae congue mauris rhoncus aenean vel. Vel facilisis volutpat est velit egestas. Sed viverra ipsum nunc aliquet bibendum enim facilisis gravida. Dolor sit amet consectetur adipiscing elit duis. Non pulvinar neque laoreet suspendisse interdum consectetur libero id. Aenean et tortor at risus viverra adipiscing at. Morbi leo urna molestie at elementum eu facilisis sed odio. Non enim praesent elementum facilisis leo vel fringilla est. Ultrices dui sapien eget mi proin sed libero enim. Fames ac turpis egestas sed tempus urna. Id cursus metus aliquam eleifend.</p>']);

        RecipeIngredient::updateOrCreate(['recipe_id'=>$recipe['id'],'order'=>0,'alternative'=>false,'name'=>'chicken','quantity'=>1.0,'measurement'=>'lb','special_notes'=>'']);
        RecipeIngredient::updateOrCreate(['recipe_id'=>$recipe['id'],'order'=>0,'alternative'=>false,'name'=>'carrot','quantity'=>1.0,'measurement'=>'lb','special_notes'=>'']);

        $jayne=User::updateOrCreate(['name'=>'Jayne','email'=>'jayne.passmore@actcur.com','password'=>bcrypt('temp'),'created_at'=>NOW()]);

        RecipeCategory::updateOrCreate(['recipe_id'=>$recipe['id'],'name'=>'entree']);
        RecipeCategory::updateOrCreate(['recipe_id'=>$recipe['id'],'name'=>'mexican']);


        $recipe=Recipe::updateOrCreate(['name'=>'Test3','user_id'=>$jayne['id'],'author'=>'Jayne','servings'=>1,'serving_size'=>'1 cup','date_entered'=>now(),'date_modified'=>now(),'description'=>'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Varius quam quisque id diam vel.','instructions'=>'<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Sit amet volutpat consequat mauris. Diam phasellus vestibulum lorem sed risus ultricies tristique nulla. Dignissim diam quis enim lobortis scelerisque fermentum dui faucibus. Rutrum quisque non tellus orci ac auctor augue mauris. Id venenatis a condimentum vitae sapien. A iaculis at erat pellentesque adipiscing commodo elit at imperdiet. Sed libero enim sed faucibus turpis. Commodo viverra maecenas accumsan lacus vel facilisis volutpat est velit. Quam elementum pulvinar etiam non quam lacus suspendisse faucibus interdum. Volutpat odio facilisis mauris sit amet massa vitae tortor. Morbi enim nunc faucibus a pellentesque. Hendrerit gravida rutrum quisque non tellus orci ac auctor. Amet est placerat in egestas erat imperdiet. Eget nunc scelerisque viverra mauris in aliquam sem fringilla. Massa enim nec dui nunc mattis enim ut.</p><p>Ultricies tristique nulla aliquet enim tortor at auctor urna. A arcu cursus vitae congue mauris rhoncus aenean vel. Vel facilisis volutpat est velit egestas. Sed viverra ipsum nunc aliquet bibendum enim facilisis gravida. Dolor sit amet consectetur adipiscing elit duis. Non pulvinar neque laoreet suspendisse interdum consectetur libero id. Aenean et tortor at risus viverra adipiscing at. Morbi leo urna molestie at elementum eu facilisis sed odio. Non enim praesent elementum facilisis leo vel fringilla est. Ultrices dui sapien eget mi proin sed libero enim. Fames ac turpis egestas sed tempus urna. Id cursus metus aliquam eleifend.</p>']);

        RecipeIngredient::updateOrCreate(['recipe_id'=>$recipe['id'],'order'=>0,'alternative'=>false,'name'=>'chicken','quantity'=>1.0,'measurement'=>'lb','special_notes'=>'']);
        RecipeIngredient::updateOrCreate(['recipe_id'=>$recipe['id'],'order'=>0,'alternative'=>false,'name'=>'carrot','quantity'=>1.0,'measurement'=>'lb','special_notes'=>'(Optional)']);

        RecipeCategory::updateOrCreate(['recipe_id'=>$recipe['id'],'name'=>'entree']);
        RecipeCategory::updateOrCreate(['recipe_id'=>$recipe['id'],'name'=>'mexican']);
        RecipeCategory::updateOrCreate(['recipe_id'=>$recipe['id'],'name'=>'something']);

    }
}
